#ifndef INC_AGT_FILTER
#define INC_AGT_FILTER

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "../include/agt_alloc.h"
#include "../include/agt_clust.h"
#include "../include/agt_matrixutils.h"
#include "../include/agtree.h"
#include "../include/agt_io.h"

#include "../ansi_lib_loc/pseudoinvert.h"
#include "../ansi_lib_loc/invert.h"
#include "../ansi_lib_loc/allocate.h"

void compute_filters(struct node *clust, struct data *train,  struct cmds *params);
void compute_clust_stats(struct node *clust, struct data *train, struct cmds *params);
void compute_clust_filter(struct node *clust, struct data *train);
void compute_clust_prederr(struct node *clust, struct data *train);
void check_clust_prederr(struct node *clust,struct data *train, struct cmds *params);







#endif





