#ifndef INC_AGT_IO
#define INC_AGT_IO

#include <stdio.h>
#include <math.h>
#include <float.h>
#include "../ansi_lib_loc/allocate.h"
#include "../ansi_lib_loc/randlib.h"
#include "../include/agtree.h"
#include "../include/agt_alloc.h"
#include "../include/agt_clust.h"
#include "../include/agt_tree.h"

void read_trainfile(struct data *train, char *fname);
void write_tree(struct node *clust,struct data *train,struct cmds *params);
void writeMatrix(char *fname, double **y_hat, int N, int M);
void writeVector(char *fname, double *y_hat, int N);


/* Routines below are implemented in agt_io.c but exported agtree.h
   Thus commented out here */
/* struct node* read_tree(char *fname, int *Xlen, int *Ylen, int *nbclust, int *nbnode); */



#endif
